Package org.jboss.logging.processor.apt

## Class LoggingToolsProcessor

- java.lang.Object
- - javax.annotation.processing.AbstractProcessor
  - - org.jboss.logging.processor.apt.LoggingToolsProcessor

All Implemented Interfaces:
  `javax.annotation.processing.Processor`

    @SupportedOptions({"debug","org.jboss.logging.tools.expressionProperties","org.jboss.logging.tools.addGeneratedAnnotation"})
    public class LoggingToolsProcessor
    extends javax.annotation.processing.AbstractProcessor

The main annotation processor for JBoss Logging Tooling.

Author:
  James R. Perkins, Kevin Pollet - SERLI - (kevin.pollet@serli.com)

### Field Summary

Fields
`static java.lang.String` `DEBUG_OPTION`

### Constructor Summary

Constructors
`LoggingToolsProcessor()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Set<java.lang.String>` `getSupportedAnnotationTypes()`
`java.util.Set<java.lang.String>` `getSupportedOptions()`
`javax.lang.model.SourceVersion` `getSupportedSourceVersion()`
`void` `init​(javax.annotation.processing.ProcessingEnvironment processingEnv)`
`boolean` `process​(java.util.Set<? extends javax.lang.model.element.TypeElement> annotations, javax.annotation.processing.RoundEnvironment roundEnv)`

### Methods inherited from class javax.annotation.processing.AbstractProcessor

`getCompletions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEBUG_OPTION

    public static final java.lang.String DEBUG_OPTION

See Also:
  Constant Field Values

### Constructor Detail

#### LoggingToolsProcessor

    public LoggingToolsProcessor()

Default constructor.

### Method Detail

#### getSupportedOptions

    public java.util.Set<java.lang.String> getSupportedOptions()

Specified by:
  `getSupportedOptions` in interface `javax.annotation.processing.Processor`
Overrides:
  `getSupportedOptions` in class `javax.annotation.processing.AbstractProcessor`

#### getSupportedAnnotationTypes

    public java.util.Set<java.lang.String> getSupportedAnnotationTypes()

Specified by:
  `getSupportedAnnotationTypes` in interface `javax.annotation.processing.Processor`
Overrides:
  `getSupportedAnnotationTypes` in class `javax.annotation.processing.AbstractProcessor`

#### getSupportedSourceVersion

    public javax.lang.model.SourceVersion getSupportedSourceVersion()

Specified by:
  `getSupportedSourceVersion` in interface `javax.annotation.processing.Processor`
Overrides:
  `getSupportedSourceVersion` in class `javax.annotation.processing.AbstractProcessor`

#### init

    public void init​(javax.annotation.processing.ProcessingEnvironment processingEnv)

Specified by:
  `init` in interface `javax.annotation.processing.Processor`
Overrides:
  `init` in class `javax.annotation.processing.AbstractProcessor`

#### process

    public boolean process​(java.util.Set<? extends javax.lang.model.element.TypeElement> annotations,
                           javax.annotation.processing.RoundEnvironment roundEnv)

Specified by:
  `process` in interface `javax.annotation.processing.Processor`
Specified by:
  `process` in class `javax.annotation.processing.AbstractProcessor`